Index: trunk/source/intercoms/include/G4UIparameter.hh
===================================================================
--- trunk/source/intercoms/include/G4UIparameter.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4UIparameter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIparameter.hh,v 1.9 2006/06/29 19:08:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/include/G4UIsession.hh
===================================================================
--- trunk/source/intercoms/include/G4UIsession.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4UIsession.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIsession.hh,v 1.5 2006/06/29 19:08:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $id$
Index: trunk/source/intercoms/include/G4UItokenNum.hh
===================================================================
--- trunk/source/intercoms/include/G4UItokenNum.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4UItokenNum.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UItokenNum.hh,v 1.8 2006/06/29 19:08:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4UItokenNum.hh
Index: trunk/source/intercoms/include/G4UnitsMessenger.hh
===================================================================
--- trunk/source/intercoms/include/G4UnitsMessenger.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4UnitsMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnitsMessenger.hh,v 1.5 2006/06/29 19:08:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // class description
Index: trunk/source/intercoms/include/G4VFlavoredParallelWorld.hh
===================================================================
--- trunk/source/intercoms/include/G4VFlavoredParallelWorld.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4VFlavoredParallelWorld.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VFlavoredParallelWorld.hh,v 1.5 2006/11/03 17:44:40 mverderi Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/include/G4VGlobalFastSimulationManager.hh
===================================================================
--- trunk/source/intercoms/include/G4VGlobalFastSimulationManager.hh	(revision 1227)
+++ trunk/source/intercoms/include/G4VGlobalFastSimulationManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGlobalFastSimulationManager.hh,v 1.5 2006/06/29 19:08:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/src/G4UIaliasList.cc
===================================================================
--- trunk/source/intercoms/src/G4UIaliasList.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIaliasList.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIaliasList.cc,v 1.6 2006/06/29 19:08:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/intercoms/src/G4UIbatch.cc
===================================================================
--- trunk/source/intercoms/src/G4UIbatch.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIbatch.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UIbatch.cc,v 1.17 2008/11/21 10:54:16 kmura Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ====================================================================
Index: trunk/source/intercoms/src/G4UIcmdWith3Vector.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWith3Vector.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWith3Vector.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWith3Vector.cc,v 1.8 2006/06/29 19:08:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWith3VectorAndUnit.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWith3VectorAndUnit.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWith3VectorAndUnit.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWith3VectorAndUnit.cc,v 1.9 2006/06/29 19:08:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithABool.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithABool.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithABool.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithABool.cc,v 1.8 2006/06/29 19:08:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithADouble.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithADouble.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithADouble.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithADouble.cc,v 1.8 2006/06/29 19:08:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithADoubleAndUnit.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithADoubleAndUnit.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithADoubleAndUnit.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithADoubleAndUnit.cc,v 1.9 2006/06/29 19:08:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithAString.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithAString.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithAString.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithAString.cc,v 1.6 2006/06/29 19:08:50 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithAnInteger.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithAnInteger.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithAnInteger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithAnInteger.cc,v 1.8 2006/06/29 19:08:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcmdWithoutParameter.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcmdWithoutParameter.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcmdWithoutParameter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcmdWithoutParameter.cc,v 1.4 2006/06/29 19:08:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UIcommand.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcommand.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcommand.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcommand.cc,v 1.25 2006/06/29 19:08:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/src/G4UIcommandTree.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcommandTree.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcommandTree.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcommandTree.cc,v 1.16 2009/11/06 06:16:07 kmura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/intercoms/src/G4UIcontrolMessenger.cc
===================================================================
--- trunk/source/intercoms/src/G4UIcontrolMessenger.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIcontrolMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcontrolMessenger.cc,v 1.11 2007/06/06 15:14:51 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/intercoms/src/G4UIdirectory.cc
===================================================================
--- trunk/source/intercoms/src/G4UIdirectory.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIdirectory.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIdirectory.cc,v 1.4 2006/06/29 19:09:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/intercoms/src/G4UImanager.cc
===================================================================
--- trunk/source/intercoms/src/G4UImanager.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UImanager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UImanager.cc,v 1.33 2007/07/16 10:14:36 kmura Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
@@ -58,5 +58,4 @@
       fUImanager = new G4UImanager;
       fUImanager->CreateMessenger();
-      printf("G4UImanager::G4UImanager() :: Creation ================ %d\n",fUImanager);
     }
   }
@@ -89,5 +88,4 @@
 G4UImanager::~G4UImanager()
 {
-  printf("G4UImanager::~G4UImanager \n");
   SetCoutDestination(NULL);
   histVec.clear();
@@ -99,5 +97,4 @@
   fUImanagerHasBeenKilled = true;
   fUImanager = NULL;
-  printf("G4UImanager::~G4UImanager END\n");
 }
 
@@ -504,8 +501,4 @@
 //}
 
-void G4UImanager::SetSession(G4UIsession *const value)
-{
-  session = value;
-}
 
 
Index: trunk/source/intercoms/src/G4UImessenger.cc
===================================================================
--- trunk/source/intercoms/src/G4UImessenger.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UImessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UImessenger.cc,v 1.7 2006/06/29 19:09:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/intercoms/src/G4UIparameter.cc
===================================================================
--- trunk/source/intercoms/src/G4UIparameter.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIparameter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIparameter.cc,v 1.14 2006/06/29 19:09:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/intercoms/src/G4UIsession.cc
===================================================================
--- trunk/source/intercoms/src/G4UIsession.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UIsession.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIsession.cc,v 1.7 2006/06/29 19:09:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/src/G4UnitsMessenger.cc
===================================================================
--- trunk/source/intercoms/src/G4UnitsMessenger.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4UnitsMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnitsMessenger.cc,v 1.7 2006/06/29 19:09:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/intercoms/src/G4VGlobalFastSimulationManager.cc
===================================================================
--- trunk/source/intercoms/src/G4VGlobalFastSimulationManager.cc	(revision 1227)
+++ trunk/source/intercoms/src/G4VGlobalFastSimulationManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGlobalFastSimulationManager.cc,v 1.5 2006/06/29 19:09:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // 
Index: trunk/source/interfaces/History
===================================================================
--- trunk/source/interfaces/History	(revision 1227)
+++ trunk/source/interfaces/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.116 2009/11/05 14:34:18 lgarnier Exp $
+$Id: History,v 1.125 2010/01/06 14:13:08 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -18,5 +18,27 @@
      ----------------------------------------------------------
 
-=======
+6 January, 2010 L. Garnier
+ - G4VBasicShell : improvments for command completion
+ - G4Qt : Add a link to G4UIQt
+ - G4UIQt : Add tab widgets in order to put Vis in
+
+20 November, 2009 K. Murakami (interfaces-V09-02-07)
+ - G4UIExecutive.hh:  no default arguments of the constructor
+ - G4UIExecutive.icc: more cleaver way for suppressing compiler warnings
+
+20 November, 2009 J. Allison (interfaces-V09-02-06)
+ - G4UIExecutive.icc: Fixed complier warnings for some cases when more
+  than one flag is set.
+
+19 November, 2009 J. Allison (interfaces-V09-02-05)
+ - Tagged for the release.
+
+18 November, 2009 L. Garnier
+ - G4UIQt: Add CTRL+A and CTRL+E to move to begin/end of command line
+
+17 November, 2009 L. Garnier
+ - G4VBasicShell: Fix commands strings that match some shorter 
+   commands are trimmed and executed as those shorter commands.
+
 5 November, 2009 L. Garnier
  - G4UIQt Fix a problem introduce the 6th October 2009 and cause
Index: trunk/source/interfaces/basic/include/G4UIQt.hh
===================================================================
--- trunk/source/interfaces/basic/include/G4UIQt.hh	(revision 1227)
+++ trunk/source/interfaces/basic/include/G4UIQt.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UIQt.hh,v 1.16 2009/02/16 11:40:26 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4UIQt.hh,v 1.17 2010/01/06 14:13:08 lgarnier Exp $
+// GEANT4 tag $Name: laurent-QtUI_with_tabs_v1 $
 //
 #ifndef G4UIQt_h
Index: trunk/source/interfaces/basic/src/G4UIQt.cc
===================================================================
--- trunk/source/interfaces/basic/src/G4UIQt.cc	(revision 1227)
+++ trunk/source/interfaces/basic/src/G4UIQt.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UIQt.cc,v 1.28 2009/11/05 14:34:18 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4UIQt.cc,v 1.30 2010/01/06 14:13:08 lgarnier Exp $
+// GEANT4 tag $Name: laurent-QtUI_with_tabs_v1 $
 //
 // L. Garnier
@@ -358,22 +358,22 @@
 {
 
+  
+#if QT_VERSION < 0x040000
   QWidget *helpWidget = new QWidget(fHelpTBWidget);
-  
-  QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpTBWidget);
-#if QT_VERSION < 0x040000
   QHBoxLayout *helpLayout = new QHBoxLayout(helpWidget);
   QVBoxLayout *vLayout = new QVBoxLayout(fHelpTBWidget);
-  helpLayout->add(new QLabel("Search :",helpWidget));
-#else
+  QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpTBWidget);
+#else
+  QWidget *helpWidget = new QWidget();
   QHBoxLayout *helpLayout = new QHBoxLayout();
   QVBoxLayout *vLayout = new QVBoxLayout();
+  QSplitter *splitter = new QSplitter(Qt::Horizontal);
+#endif
+  helpLine = new QLineEdit(fHelpTBWidget);
   helpLayout->addWidget(new QLabel("Search :",helpWidget));
-#endif
-  helpLine = new QLineEdit(fHelpTBWidget);
-#if QT_VERSION < 0x040000
-  helpLayout->add(helpLine);
+  helpLayout->addWidget(helpLine);
+#if QT_VERSION < 0x040000
   connect( helpLine, SIGNAL( returnPressed () ), this, SLOT( LookForHelpStringCallback() ) );
 #else
-  helpLayout->addWidget(helpLine);
   connect( helpLine, SIGNAL( editingFinished () ), this, SLOT( LookForHelpStringCallback() ) );
 #endif
@@ -402,9 +402,8 @@
   vLayout->addWidget(helpWidget);
   vLayout->addWidget(splitter,1);
-#else
-  vLayout->addWidget(helpWidget);
-  vLayout->addWidget(splitter,1);
-#endif
-  
+#endif
+  
+  fHelpTBWidget->setMinimumSize(50,50);
+  fHelpTBWidget->setSizePolicy (QSizePolicy(QSizePolicy::Minimum,QSizePolicy::Minimum));
   // set the splitter size
 #if QT_VERSION >= 0x040000
@@ -413,8 +412,8 @@
   QValueList<int> list;
 #endif
-  list.append( 400 );
-  list.append( 400 );
+  list.append( 50 );
+  list.append( 50 );
   splitter->setSizes(list);
-
+  
 #if QT_VERSION >= 0x040000
   helpWidget->setLayout(helpLayout);
Index: trunk/source/interfaces/common/GNUmakefile
===================================================================
--- trunk/source/interfaces/common/GNUmakefile	(revision 1227)
+++ trunk/source/interfaces/common/GNUmakefile	(revision 1228)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.4 2009/10/19 07:37:48 lgarnier Exp $
+# $Id: GNUmakefile,v 1.5 2010/01/06 14:08:20 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for interfaces/common library.  John Allison, 6/7/98.
Index: trunk/source/interfaces/common/include/G4Qt.hh
===================================================================
--- trunk/source/interfaces/common/include/G4Qt.hh	(revision 1227)
+++ trunk/source/interfaces/common/include/G4Qt.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Qt.hh,v 1.4 2008/11/06 10:06:33 lgarnier Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4Qt.hh,v 1.5 2010/01/06 14:07:34 lgarnier Exp $
+// GEANT4 tag $Name: laurent-QtUI_with_tabs_v1 $
 //
 //  To unify Qt event treatment between 
Index: trunk/source/interfaces/common/src/G4Qt.cc
===================================================================
--- trunk/source/interfaces/common/src/G4Qt.cc	(revision 1227)
+++ trunk/source/interfaces/common/src/G4Qt.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4Qt.cc,v 1.14 2009/10/07 09:12:35 lgarnier Exp $
+// $Id: G4Qt.cc,v 1.15 2010/01/06 14:07:34 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -131,7 +131,10 @@
 #else
 #ifdef G4DEBUG_INTERFACES_COMMON
-    printf("G4Qt::G4Qt QAppl \n");
+      printf("G4Qt::G4Qt QAppl \n");
 #endif
       new QApplication (*p_argn, args);
+#ifdef G4DEBUG_INTERFACES_COMMON
+        printf("G4Qt::G4Qt 0\n");
+#endif
 #endif
       if(!qApp) {
@@ -139,4 +142,7 @@
         G4cout        << "G4Qt : Unable to init Qt." << G4endl;
       } else {
+#ifdef G4DEBUG_INTERFACES_COMMON
+        printf("G4Qt::G4Qt 1\n");
+#endif
         QtInited  = TRUE;
         if (a_argn != 0) {
@@ -242,3 +248,2 @@
 
 
-
Index: trunk/source/materials/History
===================================================================
--- trunk/source/materials/History	(revision 1227)
+++ trunk/source/materials/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.164 2009/11/20 00:59:40 gum Exp $
+$Id: History,v 1.168 2009/12/03 11:09:47 vnivanch Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,17 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+03-12-09 V.Ivanchenko (materials-V09-02-24)
+- G4NIstMessenger - fixed minor memory leak at destruction
+
+01-12-09 G.Cosmo (materials-V09-02-23)
+- Use G4double in place of G4float in G4DensityEffectData.
+
+30-11-09 V.Ivanchenko (materials-V09-02-22)
+- G4IonisParamMat - fixed liquid Argon problem
+
+24-11-09 V.Ivanchenko (materials-V09-02-21)
+- G4NistMaterialBuilder - allow to use old names of G4 materials
+  G4_NYLON-6/6 and G4_NYLON-6/10 for backward compatibility
 
 19-11-09 P.Gumplinger (materials-V09-02-20)
Index: trunk/source/materials/include/G4DensityEffectData.hh
===================================================================
--- trunk/source/materials/include/G4DensityEffectData.hh	(revision 1227)
+++ trunk/source/materials/include/G4DensityEffectData.hh	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4DensityEffectData.hh,v 1.6 2009/11/05 10:42:14 bagoulia Exp $
-// GEANT4 tag $Name: materials-V09-02-18 $
+// $Id: G4DensityEffectData.hh,v 1.7 2009/12/01 08:24:21 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 
 //---------------------------------------------------------------------------
@@ -80,13 +80,13 @@
 
   // Access to the data via index
-  inline G4float GetPlasmaEnergy(G4int idx); 
-  inline G4float GetAdjustmentFactor(G4int idx); 
-  inline G4float GetCdensity(G4int idx); 
-  inline G4float GetX0density(G4int idx); 
-  inline G4float GetX1density(G4int idx); 
-  inline G4float GetAdensity(G4int idx); 
-  inline G4float GetMdensity(G4int idx); 
-  inline G4float GetDelta0density(G4int idx); 
-  inline G4float GetErrorDensity(G4int idx); 
+  inline G4double GetPlasmaEnergy(G4int idx); 
+  inline G4double GetAdjustmentFactor(G4int idx); 
+  inline G4double GetCdensity(G4int idx); 
+  inline G4double GetX0density(G4int idx); 
+  inline G4double GetX1density(G4int idx); 
+  inline G4double GetAdensity(G4int idx); 
+  inline G4double GetMdensity(G4int idx); 
+  inline G4double GetDelta0density(G4int idx); 
+  inline G4double GetErrorDensity(G4int idx); 
 
 private:
@@ -94,5 +94,5 @@
   void Initialize();
 
-  void AddMaterial(G4float* val, const G4String& matName);
+  void AddMaterial(G4double* val, const G4String& matName);
 
   // Assignment operator and copy constructor
@@ -100,5 +100,5 @@
   G4DensityEffectData(const G4DensityEffectData&);
 
-  G4float data[NDENSDATA][NDENSARRAY];
+  G4double data[NDENSDATA][NDENSARRAY];
   std::vector<G4String> names;
   G4int indexZ[NDENSELEM];
@@ -108,63 +108,63 @@
 };
 
-inline G4float G4DensityEffectData::GetPlasmaEnergy(G4int idx)
+inline G4double G4DensityEffectData::GetPlasmaEnergy(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][0]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetAdjustmentFactor(G4int idx)
+inline G4double G4DensityEffectData::GetAdjustmentFactor(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][1]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetCdensity(G4int idx)
+inline G4double G4DensityEffectData::GetCdensity(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][2]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetX0density(G4int idx)
+inline G4double G4DensityEffectData::GetX0density(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][3]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetX1density(G4int idx)
+inline G4double G4DensityEffectData::GetX1density(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][4]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetAdensity(G4int idx)
+inline G4double G4DensityEffectData::GetAdensity(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][5]; }
   return x;
 }
  
-inline G4float G4DensityEffectData::GetMdensity(G4int idx)
+inline G4double G4DensityEffectData::GetMdensity(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][6]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetDelta0density(G4int idx)
+inline G4double G4DensityEffectData::GetDelta0density(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][7]; }
   return x;
 } 
 
-inline G4float G4DensityEffectData::GetErrorDensity(G4int idx)
+inline G4double G4DensityEffectData::GetErrorDensity(G4int idx)
 {
-  G4float x = DBL_MAX;
+  G4double x = DBL_MAX;
   if(idx >= 0 && idx < NDENSDATA) { x = data[idx][8]; }
   return x;
Index: trunk/source/materials/src/G4DensityEffectData.cc
===================================================================
--- trunk/source/materials/src/G4DensityEffectData.cc	(revision 1227)
+++ trunk/source/materials/src/G4DensityEffectData.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DensityEffectData.cc,v 1.8 2009/11/05 11:17:27 bagoulia Exp $
-// GEANT4 tag $Name: materials-V09-02-18 $
+// $Id: G4DensityEffectData.cc,v 1.9 2009/12/01 08:24:21 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 
 //---------------------------------------------------------------------------
